var zoom = 15;
var latitude = 41.038966;
var longitude = 28.984451;
var customMap=true;


$(document).ready(function() {
    
    $('#arrows-front').pan({
        fps: 30, 
        speed: 0.8, 
        dir: 'right', 
        depth: 70
    });
    $('#arrows-back').pan({
        fps: 30, 
        speed: 0.3, 
        dir: 'right', 
        depth: 30
    });
    function rotateL3(){
      
        $('.layer-3').animate({
            rotate:'360deg'
        },100000,'linear',function(){
                
               
            $('.layer-3').rotate('0deg');
            setTimeout(rotateL3, 100);
        });   
      
    }
    
    
    function rotateL2(){
      
        $('.layer-2').animate({
            rotate:'-360deg'
        },50000,'linear',function(){
                
               
            $('.layer-2').rotate('0deg');
            setTimeout(rotateL2, 100);
        });   
      
    }
 
    function rotateL1(){
      
        $('.layer-1').animate({
            rotate:'360deg'
        },30000,'linear',function(){
                
               
            $('.layer-1').rotate('0deg');
            setTimeout(rotateL1, 100);
        });   
      
    }
 
 
 
    rotateL3();
    rotateL2();
    rotateL1();
 
    
    var mapIsNotActive=true;
   
    function setupMap(){
       
        if($('.page.current .map-holder').length>0 && mapIsNotActive){
          
            $('.map').gmap3({
                map:{
                    options:{
                        center:[latitude, longitude],
     
                        zoom:zoom,
                        mapTypeControl: true,
   
                        navigationControl: true,
                        scrollwheel: true,
                        streetViewControl: false
                    }
                },
                marker:{
                    latLng:[latitude, longitude]
                }
            });
            mapIsNotActive=false;
        }
    }
    
    
    function setupCustomMap(){
        if($('.page.current .map-holder').length>0 && mapIsNotActive){
        
            var styles = [ {
                featureType: 'road.highway', 
                elementType: 'geometry', 
                stylers: [ {
                    hue: '#13ACD9'
                }, {
                    saturation: -16
                }, {
                    lightness: -28
                }, {
                    visibility: 'on'
                } ]
            },{
                featureType: 'road', 
                elementType: 'all', 
                stylers: [ {
                    hue: '#3CC6EE'
                }, {
                    saturation: -16
                }, {
                    lightness: -9
                }, {
                    visibility: 'simplified'
                } ]
            },{
                featureType: 'water', 
                elementType: 'geometry', 
                stylers: [ {
                    hue: '#cccccc'
                }, {
                    saturation: -100
                }, {
                    lightness: 17
                }, {
                    visibility: 'on'
                } ]
            },{
                featureType: 'transit', 
                elementType: 'all', 
                stylers: [ {
                    hue: '#1BBCEB'
                }, {
                    saturation: 84
                }, {
                    lightness: -32
                }, {
                    visibility: 'simplified'
                } ]
            },{
                featureType: 'landscape', 
                elementType: 'all', 
                stylers: [ {
                    hue: '#119DC6'
                }, {
                    saturation: 78
                }, {
                    lightness: -53
                }, {
                    visibility: 'simplified'
                } ]
            },{
                featureType: 'poi', 
                elementType: 'all', 
                stylers: [ {
                    hue: '#1BBCEB'
                }, {
                    saturation: 72
                }, {
                    lightness: -34
                }, {
                    visibility: 'simplified'
                } ]
            },{
                featureType: 'road.local', 
                elementType: 'all', 
                stylers: [ {
                    hue: '#ffffff'
                }, {
                    saturation: -100
                }, {
                    lightness: 100
                }, {
                    visibility: 'off'
                } ]
            },{
                featureType: 'road.highway', 
                elementType: 'labels', 
                stylers: [ {
                    hue: '#1496BC'
                }, {
                    saturation: -19
                }, {
                    lightness: -36
                }, {
                    visibility: 'on'
                } ]
            },{
                featureType: 'road', 
                elementType: 'labels', 
                stylers: [ {
                    hue: '#1496BC'
                }, {
                    saturation: -19
                }, {
                    lightness: -36
                }, {
                    visibility: 'on'
                } ]
            },{
                featureType: 'road.local', 
                elementType: 'all', 
                stylers: [ {
                    visibility: 'off'
                } ]
            } ];
            var options = {
                mapTypeControlOptions: {
                    mapTypeIds: [ 'Styled']
                },
                center: new google.maps.LatLng(latitude, longitude),
                zoom: zoom,
                mapTypeId: 'Styled'
            };
            var div = document.getElementById('map');




            var map = new google.maps.Map(div, options);
            var styledMapType = new google.maps.StyledMapType(styles, {
                name: 'Styled'
            });
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(latitude, longitude), 
                map: map
            });
            map.mapTypes.set('Styled', styledMapType);

            mapIsNotActive=false;
        }
       
    }
    
   
    $("a[data-rel^='prettyPhoto']").prettyPhoto();
    




    $('[data-placeholder]').focus(function() {
        var input = $(this);
        if (input.val() == input.attr('data-placeholder')) {
            input.val('');
        // input.removeClass('placeholder');
        }
    }).blur(function() {
        var input = $(this);
        if (input.val() == '' || input.val() == input.attr('data-placeholder')) {
            input.addClass('placeholder');
            input.val(input.attr('data-placeholder'));
        }
    }).blur();
    
    $('[data-placeholder]').parents('form').submit(function() {
        $(this).find('[data-placeholder]').each(function() {
            var input = $(this);
            if (input.val() == input.attr('data-placeholder')) {
                input.val('');
            }
        })
    });
   
 
    function setupSkills(){
        if($('.page.current .skill').length>0){
       
            var counter=1;
            $('.page.current .skill').each(function(){
                var el=$(this);
                var level=el.find('.level').attr('data-level');
            
                el.find('.level').delay(counter*300).animate({
                    width:level+"%"
                    },800,"easeOutBack",function(){
                    el.find('.skill-title').fadeIn(); 
                });
                counter++;
            });
        
        }
    }
    
    
    var carouselIsNotActive=true;
    function setupPortfolio(){
        if($('.page.current .carousel').length>0 && carouselIsNotActive){
            $(".carousel").carouFredSel({
                circular: false,
                infinite: false,
                height: 425,
        
                items: {
                    visible: 2,
                    minimum: 2
                },
                auto: false,
                prev: {
                    button: ".prev-btn",
                    key: "left"
                },
                next: {
                    button: ".next-btn",
                    key: "right"
                },
                swipe: true
            });
            $(".carousel").animate({
                opacity:1
            });
            carouselIsNotActive=false;
        }
    }

     
    $('.menu a').address($(this).attr('href'));

    $.address.change(function(event) {  
     
        var pageID=event.value.split('/')[1];
        if(pageID!=''){
    
            var el=$(".menu [href=#"+pageID+"]");
     
            $('.menu .active').removeClass('active');
            el.parent().addClass('active');
            $('select.nav option').each(function(){
        
                var val=$(this).val();
      
                if(val==="#"+pageID){
                    $('select.nav option:selected').removeAttr('selected');
                    $(this).attr('selected','selected');
                }
        
            });
    
    
            gotoPage("#"+pageID);
        }    
    }); 

    $('select.nav').change(function(){
        var loc=($(this).find('option:selected').val());
     
        gotoPage(loc);
    })
  
    checkContactForm();
    function checkContactForm(){
   
        //  triggers contact form validation
        var formStatus=$(".contact-form").validate();
        //   ===================================================== 

        //sending contact form
        $(".contact-form").submit(function(e){
            e.preventDefault();
            if(formStatus.errorList.length===0)
            { 
                $(".contact-form .submit").fadeOut(function(){
                    $('#loading').css('visibility','visible');
                    $.post('submit.php',$(".contact-form").serialize(),
				
                        function(data){
                            $(".contact-form input,.contact-form textarea").not('.submit').val('');
                                
                            $('.message-box').html(data);
						
						
                            $('#loading').css('visibility','hidden');
                            $(".contact-form .submit").removeClass('disabled').css('display','block');
                        }
				
                        ); 
                });     
 
				
            }
			
        });	
			
    }
    function gotoPage(destSection){
        
    
        $('.page.current').stop(true,true).slideUp(function(){
      
            
    
    
            $('.page.current').removeClass('current');
            $(destSection).addClass('current');  
            $(destSection).stop(true,true).slideDown(function(){
          
                if(customMap){
                    setupCustomMap();
                }else{
                    setupMap();
                }
                setupSkills();
                setupPortfolio();
            })
        })
    
     

 
    }

    $('.menu a').bind('click',function(event){
        event.preventDefault();
        var clickedMenu = $(this);
        
        $('.page-title .value').fadeOut(function(){
                $('.page-title .value').text(clickedMenu.text().toUpperCase());
                $('.page-title .value').fadeIn();
            });
        $('.menu .active').toggleClass('active');
        clickedMenu.parent().toggleClass('active');
  
      

        
    });



 
});

